import { IgrToolAction } from "./igr-tool-action";
import { ToolActionRadio } from "./ToolActionRadio";
import { ensureBool } from "igniteui-react-core";
export class IgrToolActionRadio extends IgrToolAction {
    createImplementation() {
        return new ToolActionRadio();
    }
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the channel this radio button belongs to.
    */
    get channel() {
        return this.i.e6;
    }
    set channel(v) {
        this.i.e6 = v;
    }
    /**
     * Gets or sets if the tool action is checked.
    */
    get isChecked() {
        return this.i.e4;
    }
    set isChecked(v) {
        this.i.e4 = ensureBool(v);
    }
    fromInfo(info) {
        this.i.dp(info);
    }
}
